function [cg_NOx_old,cg_red_old,cg_O2_old,cw_NOx,cw_NOx_old,cw_red_old,q_old,Ts_old,Tg_old] = update(cg_NOx,cg_red,cg_O2,cw_NOx,cw_red,q,Ts,Tg,ncell,Rgas,pressure)

%Function for updating the variables in time
%Created by Kalyana Chakravarthy (ORNL), 9/27/2004
%Updated last by Kalyana Chakravarthy (ORNL), 9/27/2004

cg_NOx_old      = cg_NOx;
cg_red_old      = cg_red;
cg_O2_old	= cg_O2;

[cw_NOx]        = isotherm_inv(q,Ts,ncell,Rgas,pressure);
cw_NOx_old      = cw_NOx;
cw_red_old      = cw_red;
q_old           = q;

Tg_old		= Tg;
Ts_old		= Ts;
